Bug 487317 - multi-org, attempting to reduce entitlements throws the wrong message to user
multi-org, attempting to reduce entitlements throws the wrong message to user
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Shannon Hughes
wes hayutin
https://grandprix.rhndev.redhat.com/r...
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-02-25 08:54 EST by wes hayutin
Modified: 2009-09-10 15:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (446.36 KB, image/png)
2009-02-25 08:54 EST, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-02-25 08:54:17 EST
Created attachment 333161 [details]
ss

Description of problem:

recreate.
1. create an org
2. assign 10 system entitlements, and 10 core server
3. register 5 systems to the org, consuming the entitlements.

login as admin and reduce the system entitlements to "3"

you get error:
Warning: Your Proposed Management allocation requires less entitlements than are in use in the autoOrg01 organization. Please adjust your proposed allocation to no less then the amount of entitlements currently in use.

You should get error:
Warning: Your Proposed Management allocation requires more entitlements than are in use in the autoOrg01 organization. Please adjust your proposed allocation to no less then the amount of entitlements currently in use.

not sure why this was changed recently.. but it was
Comment 1 Shannon Hughes 2009-02-25 15:26:13 EST
this was changed based on https://bugzilla.redhat.com/show_bug.cgi?id=437872
Comment 2 wes hayutin 2009-02-25 16:30:21 EST
k.. I dont see how the current error is correct.. 
The allocation always has to be greater than consumed.

allocation > consumed    end of story right?
Comment 3 Máirín Duffy 2009-02-25 17:46:51 EST
How about

Your proposed Management entitlement allocation provides less entitlements than are currently in use by systems in the foobar organization.  Please adjust your proposed allocation to no less then the amount of entitlements currently in use.
Comment 4 wes hayutin 2009-02-26 07:22:37 EST
sold!  I like it... 
Thanks Mairin
Comment 5 Shannon Hughes 2009-03-05 13:34:41 EST
changed and fixed for the winning bidder.
Comment 6 wes hayutin 2009-03-09 17:59:10 EDT
verified..
Warning: Your Proposed Management allocation provides less entitlements than are currently in use in the org1auto organization. Please adjust your proposed allocation to no less then the amount of entitlements currently in use.
Comment 7 Sayli Karmarkar 2009-07-31 14:33:46 EDT
validated.

Warning: Your Proposed Management allocation provides less entitlements than are currently in use in the testorg2 organization. Please adjust your proposed allocation to no less then the amount of entitlements currently in use.
Comment 8 Brandon Perkins 2009-09-10 15:48:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.